import { AnchorHTMLAttributes, HTMLAttributes } from "react";
declare type ColorType = "indigo" | "teal" | "white";
declare type TypeBtn = "primary" | "secondary" | "link";
declare type BtnType = {
    type?: TypeBtn;
    color?: ColorType;
    icon?: undefined | "left" | "right";
    disabled?: boolean;
    href?: string;
};
declare type ButtonProps = HTMLAttributes<HTMLButtonElement> & AnchorHTMLAttributes<HTMLAnchorElement> & BtnType;
export declare const Button: ({ type, color, icon, disabled, href, ...rest }: ButtonProps) => JSX.Element;
export {};
